commit 74dd4a9e0ac3517890cab2010828435b38cf6eed
parent d532e0e0c461a320a86b8ca10a7a17152ffec9dc
Author: Anders Damsgaard <adc@geo.au.dk>
Date: Sat, 10 Aug 2013 21:51:13 +0200
Merged in bin symlinks
Diffstat:
16 files changed, 298 insertions(+), 55 deletions(-)
diff --git a/.config/openbox/rc.xml b/.config/openbox/rc.xml
@@ -374,6 +374,24 @@
<command>x-www-browser</command>
</action>
</keybind>
+ <keybind key="W-q">
+ <action name="Execute">
+ <startupnotify>
+ <enabled>true</enabled>
+ <name>Tor browser</name>
+ </startupnotify>
+ <command>tor-browser.sh</command>
+ </action>
+ </keybind>
+ <keybind key="W-i">
+ <action name="Execute">
+ <startupnotify>
+ <enabled>true</enabled>
+ <name>Mail</name>
+ </startupnotify>
+ <command>icedove</command>
+ </action>
+ </keybind>
<keybind key="W-l">
<action name="Execute">
<startupnotify>
diff --git a/.gitconfig b/.gitconfig
@@ -0,0 +1,5 @@
+[user]
+ email = anders.damsgaard@geo.au.dk
+ name = Anders Damsgaard
+[color]
+ ui = auto
diff --git a/.i3/config b/.i3/config
@@ -29,8 +29,9 @@ bindsym $mod+Return exec i3-sensible-terminal
# other application launchers
#bindsym $mod+b exec uzbl-browser
-#bindsym $mod+f exec firefox
-bindsym $mod+b exec luakit
+bindsym $mod+b exec firefox
+bindsym $mod+i exec icedove
+#bindsym $mod+b exec luakit
bindsym $mod+t exec tor-browser
bindsym $mod+v exec vidalia
#bindsym $mod+z exec xscreensaver-command lock
diff --git a/.mutt/colours b/.mutt/colors
diff --git a/.mutt/colors2 b/.mutt/colors2
@@ -0,0 +1,22 @@
+# -*-muttrc-*-
+
+# Palette for use with the Linux console. Black background.
+
+color hdrdefault blue black
+color quoted blue black
+color signature blue black
+color attachment red black
+color message brightred black
+color error brightred black
+color indicator black red
+color status brightgreen blue
+color tree white black
+color normal white black
+color markers red black
+color search white black
+color tilde brightmagenta black
+color index blue black ~F
+color index red black "~N|~O"
+
+# color body brightwhite black '\*+[^*]+\*+'
+# color body brightwhite black '_+[^_]+_+'
diff --git a/.mutt/muttrc b/.mutt/muttrc
@@ -15,14 +15,10 @@ set my_nfit_user = "ad\\adc"
set my_nfit_pass = `awk '/NFIT/ {print $2}' ~/.sec/.tmp`
set my_nfit_email = "adc@geo.au.dk"
-# Gmail credentials
-#set my_gmail_user = "andersdc"
-#set my_gmail_email = "andersdc@gmail.com"
-#set my_gmail_pass = `awk '/Gmail/ {print $2}' ~/.sec/.tmp`
-
-# Silent Circle credentials
-set my_sc_email = "anders@silentcircle.com"
-set my_sc_pass = `awk '/SilentCircle/ {print $2}' ~/.sec/.tmp`
+# Riseup credentials
+set my_riseup_user = "andersd"
+set my_riseup_email = "andersd@riseup.net"
+set my_riseup_pass = `awk '/Riseup/ {print $2}' ~/.sec/.tmp`
# Remove temporary password file
set my_del=`rm -f ~/.sec/.tmp`
@@ -30,15 +26,21 @@ set my_del=`rm -f ~/.sec/.tmp`
# List of mail folders
mailboxes ~/Mail \
- 'imaps://imap.au.dk:993/'\
- 'imaps://umail.silentcircle.com:993/'
+ 'imaps://imap.au.dk:993/'\
+ 'imaps://mail.riseup.net:993/'
# 'imaps://imap.gmail.com:993/'
# Base hook to reset account variables to known state before activating new ones
-#account-hook . 'unset preconnect imap_user imap_pass imap_authenticators; set ssl_starttls=ask-yes'
account-hook . 'unset preconnect imap_user imap_pass imap_authenticators; set ssl_starttls=yes'
-# NFIT mail
+account-hook imap.au.dk 'set imap_user=$my_nfit_user imap_pass=$my_nfit_pass'
+account-hook mail.riseup.net 'set imap_user=$my_riseup_user imap_pass=$my_riseup_pass'
+
+# Macros to change between inboxes
+macro index <f2> '<change-folder>imaps://imap.au.dk<enter>'
+macro index <f3> '<change-folder>imaps://mail.riseup.net<enter>'
+
+## NFIT mail
account-hook imaps://imap.au.dk:993/ 'set \
imap_user = $my_nfit_user\
imap_pass = $my_nfit_pass\
@@ -46,7 +48,7 @@ account-hook imaps://imap.au.dk:993/ 'set \
smtp_authenticators = "login"\
smtp_url = "smtp://$my_nfit_user@asmtp.au.dk:587"\
smtp_pass = $my_nfit_pass'
-folder-hook imaps://imap.au.dk:993/ 'set \
+folder-hook imap.au.dk 'set \
folder = imaps://imap.au.dk:993/\
spoolfile = "+INBOX"\
record = "+Sent"\
@@ -54,39 +56,23 @@ folder-hook imaps://imap.au.dk:993/ 'set \
from = $my_nfit_email\
realname = $my_realname'
-# Silent Circle
-account-hook imaps://umail.silentcircle.com:993/ 'set \
- imap_user = $my_sc_email\
- imap_pass = $my_sc_pass\
- smtp_authenticators = "login:plain"\
- smtp_url = "smtps://$my_sc_email@umail.silentcircle.com:465/"\
- smtp_pass = $my_sc_pass'
-folder-hook imaps://umail.silentcircle.com:993/ 'set \
- folder = imaps://umail.silentcircle.com:993/\
+# Riseup mail
+account-hook imaps://mail.riseup.net:993/ 'set \
+ imap_user = $my_riseup_user\
+ imap_pass = $my_riseup_pass\
+ smtp_url = "smtp://$my_riseup_user@mail.riseup.net:587"\
+ smtp_pass = $my_riseup_pass'
+folder-hook imaps://mail.riseup.net:993/ 'set \
+ folder = imaps://mail.riseup.net:993/\
spoolfile = "+INBOX"\
record = "+Sent"\
postponed = "+Drafts"\
- from = $my_sc_email\
+ from = $my_riseup_email\
realname = $my_realname'
-# Gmail
-#account-hook imaps://imap.gmail.com:993/ 'set \
-# imap_user = $my_gmail_email\
-# imap_pass = $my_gmail_pass\
-# smtp_url = "smtps://$my_gmail_user@smtp.gmail.com/"\
-# smtp_pass = $my_gmail_pass'
-#folder-hook imaps://imap.gmail.com:993/ 'set \
-# folder = imaps://imap.gmail.com:993/\
-# spoolfile = "+INBOX"\
-# record = "+[Gmail]/Sent Mail"\
-# postponed = "+[Gmail]/Drafts"\
-# from = $my_gmail_email\
-# realname = $my_realname'
-
-
# Macros to change between inboxes
macro index <f2> '<change-folder>imaps://imap.au.dk:993/<enter>'
-macro index <f3> '<change-folder>imaps://umail.silentcircle.com:993/<enter>'
+macro index <f3> '<change-folder>imaps://mail.riseup.net:993/<enter>'
#macro index <f4> '<change-folder>imaps://imap.gmail.com:993/<enter>'
# Cache files
@@ -103,16 +89,19 @@ set imap_check_subscribed
unset imap_passive
# keep imap connection alive by polling intermittently (time in seconds)
-set imap_keepalive = 300
+set imap_keepalive=300
# how often to check for new mail (time in seconds)
-set mail_check = 120
+#set mail_check=120
+set mail_check=5
set signature=~/.signature
set charset=utf-8
-set sort = threads # and sort threads by date
+# sort threads by date
+set sort=threads
set sort_aux = reverse-last-date-received
+
set signature=~/.signature
set charset=utf-8
set config_charset=utf-8
@@ -147,6 +136,7 @@ set quote_regexp="^( {0,4}[>|:#%]| {0,4}[a-z0-9]+[>|]+)+"
set to_chars=" +TCF " # Drop the "L".
# Display download progress every 5K
+#
set net_inc=5
# When viewing a message, show the pager in # lines above
@@ -155,7 +145,7 @@ set pager_index_lines=10
set alias_file=~/.mutt/aliases # Save aliases here
source ~/.mutt/aliases # Load in my aliases.
source ~/.sec/gpg.rc # Use GPG
-source ~/.mutt/colours # Define colours.
+source ~/.mutt/colors # Define colours.
auto_view text/html
# HTML is the last option.
diff --git a/.tmux.conf b/.tmux.conf
@@ -6,8 +6,8 @@ bind-key C-a last-pane # Go to last pane with C-a C-a
setw -g mode-keys vi
# vi-like text yanking in copy mode
-#unbind [
-#bind Escape copy-mode
+unbind [
+bind Escape copy-mode
unbind p
bind p paste-buffer
bind-key -t vi-copy 'v' begin-selection
@@ -57,6 +57,9 @@ set -g status-left "#[fg=green]s:#S #[fg=yellow]w:#I #[fg=cyan]p:#P"
set -g status-right "#[fg=blue]#(acpi|sed 's/Battery//; s/0://; s/Discharging//; s/Full, //; s/remaining//; s/ , //') #[fg=white]#(cat /proc/loadavg|awk '{print $1;}') #[fg=cyan]%d %b %R"
set -g status-justify centre
+# Timeout for pane-numbering in milliseconds
+set-option -g display-panes-time 2000
+
# Highlight active window
setw -g window-status-fg cyan
setw -g window-status-bg default
diff --git a/.w3m/config b/.w3m/config
@@ -0,0 +1,149 @@
+simple_preserve_space 0
+gb18030_as_ucs 0
+strict_iso2022 1
+use_jisx0213 0
+use_jisx0212 0
+use_jisx0201k 0
+use_jisc6226 0
+use_jisx0201 0
+use_gb12345_map 0
+fix_width_conv 1
+search_conv 1
+pre_conv 0
+ucs_conv 1
+use_language_tag 1
+east_asian_width 0
+use_combining 1
+use_wide 1
+ext_halfdump 0
+follow_locale 1
+system_charset UTF-8
+auto_detect 2
+document_charset UTF-8
+display_charset UTF-8
+cookie_avoid_wrong_number_of_dots
+cookie_accept_domains
+cookie_reject_domains
+accept_bad_cookie 0
+accept_cookie 0
+show_cookie 1
+use_cookie 1
+ssl_ca_file
+ssl_ca_path /etc/ssl/certs
+ssl_key_file
+ssl_cert_file
+ssl_verify_server 1
+ssl_forbid_method 2
+no_cache 0
+noproxy_netaddr 0
+no_proxy
+ftp_proxy
+gopher_proxy
+https_proxy
+http_proxy
+use_proxy 1
+max_news 50
+nntpmode
+nntpserver
+dns_order 0
+meta_refresh 1
+follow_redirection 10
+default_url 1
+retry_http 1
+argv_is_url 1
+accept_media text/html, text/*;q=0.5, image/*, application/*, video/*, audio/*, zz-application/*, message/*, x-scheme-handler/*, inode/*
+accept_encoding gzip, compress, bzip, bzip2, deflate
+accept_language en;q=1.0
+no_referer 0
+user_agent
+pre_form_file ~/.w3m/pre_form
+ftppass_hostnamegen 0
+ftppasswd anonymous@
+disable_secret_security_check 0
+passwd_file ~/.w3m/passwd
+use_lessopen 0
+bgextviewer 1
+extbrowser3
+extbrowser2
+extbrowser /usr/bin/mozilla
+mailer
+mailto_options 1
+editor sensible-editor
+urimethodmap ~/.w3m//urimethodmap, /etc/w3m/urimethodmap
+mailcap ~/.w3m/mailcap, /etc/w3m/mailcap, /etc/mailcap
+mime_types ~/.w3m/mime.types, /etc/mime.types
+index_file
+cgi_bin
+personal_document_root
+document_root
+keymap_file keymap
+preserve_timestamp 1
+auto_uncompress 0
+decode_cte 0
+clear_buffer 1
+fixed_wheel_scroll_count 5
+relative_wheel_scroll_ratio 30
+relative_wheel_scroll 0
+reverse_mouse 0
+use_mouse 1
+migemo_command migemo -t egrep /usr/share/migemo/migemo-dict
+use_migemo 1
+ignorecase_search 1
+wrap_search 0
+mark_all_pages 0
+vi_prec_num 1
+emacs_like_lineedit 0
+mark 0
+close_tab_back 0
+confirm_qq 1
+save_hist 1
+history 100
+use_history 1
+pagerline 10000
+visited_color magenta
+visited_anchor 0
+active_color cyan
+active_style 0
+bg_color terminal
+mark_color cyan
+form_color red
+image_color green
+anchor_color blue
+basic_color terminal
+color 1
+nextpage_topline 0
+label_topline 0
+show_srch_str 1
+show_lnum 0
+fold_line 0
+image_map_list 1
+imgdisplay w3mimgdisplay
+image_scale 100
+ext_image_viewer 1
+max_load_image 4
+auto_image 0
+pseudo_inlines 1
+display_image 1
+view_unseenobject 1
+ignore_null_img_alt 1
+display_ins_del 1
+fold_textarea 0
+graphic_char 0
+alt_entity 0
+multicol 0
+dictcommand file:///$LIB/w3mdict.cgi
+use_dictcommand 0
+dirlist_cmd file:///$LIB/dirlist.cgi
+ext_dirlist 1
+display_lineinfo 0
+decode_url 0
+display_link_number 1
+display_link 1
+open_tab_dl_list 1
+open_tab_blank 0
+target_self 0
+frame 0
+pixel_per_line 13
+pixel_per_char 10
+indent_incr 4
+tabstop 8
diff --git a/.zshrc b/.zshrc
@@ -37,6 +37,9 @@ plugins=(git)
source $ZSH/oh-my-zsh.sh
+# disable autocorrect
+unsetopt correctall
+
# set vi-like movement
set -o vi
export EDITOR=vim
diff --git a/README.md b/README.md
@@ -1,6 +0,0 @@
-dotfiles
-========
-
-Configuration files for bash, vim, etc. Clone in user home folder.
-
-Licensed under GPL v. 3.
diff --git a/README.rst b/README.rst
@@ -0,0 +1,10 @@
+dotfiles
+========
+
+Configuration files for zsh, vim, tmux, X, etc.
+Licensed under GPL v. 3.
+
+After cloning the repository, create symbolic links from the configuration files
+of this repository to your home folder using::
+ ./create_symlinks.sh
+
diff --git a/bin/irssi.sh b/bin/irssi.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+#screen -rd irssi
+ssh -t -p 12344 ircuser@susanoganders.dk 'screen -rd irssi'
diff --git a/bin/tmux-utility.sh b/bin/tmux-utility.sh
@@ -0,0 +1,23 @@
+/!/bin/sh
+SESSION=utility
+echo "starting $SESSION tmux session"
+
+tmux has-session -t $SESSION
+if [ $? != 0 ]
+then
+ # Create new session, name it, name the window, detach
+ tmux new-session -s $SESSION -n misc -d
+
+ tmux send-keys -t $SESSION 'mutt' C-m # process in first pane
+ tmux split-window -h -p 60 -t $SESSION # horizontal split
+ tmux select-pane -t $SESSION:1.1 # select first pane
+ tmux split-window -v -p 50 -t $SESSION # create a pane below first pane
+ tmux send-keys -t $SESSION 'ncmpc' C-m # process in second pane
+ tmux split-window -v -p 50 -t $SESSION # create a pane below second pane
+ tmux send-keys -t $SESSION 'irssi.sh' C-m # process in third pane
+ #tmux select-pane -t $SESSION:1.4 # select fourth pane
+ #tmux split-window -v -p 15 -t $SESSION # split right pane into two
+ #tmux send-keys -t $SESSION 'uu' C-m # start update
+ tmux select-pane -t $SESSION:1.1 # select first pane
+fi
+tmux attach -t $SESSION
diff --git a/bin/todo.sh b/bin/todo.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+# Edit central todo-file by ssh
+ssh -t -p 12344 adc@susanoganders.dk 'screen -rd todo'
diff --git a/bin/uu b/bin/uu
@@ -0,0 +1,5 @@
+#!/bin/sh
+sudo apt-get update && \
+ sudo apt-get upgrade && \
+ sudo apt-get dist-upgrade && \
+ sudo apt-get autoremove
diff --git a/create_symlinks.sh b/create_symlinks.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Home folder dotfiles
-for F in .bashrc .vimrc .tmux.conf .xpdfrc .signature .Xdefaults .Xmodmap .xinitrc .xprofile .zshrc .conkyrc .xbindkeysrc; do
+for F in .bashrc .vimrc .tmux.conf .xpdfrc .signature .Xdefaults .Xmodmap .xinitrc .xprofile .zshrc .conkyrc .xbindkeysrc .gitconfig; do
SOURCE=$PWD/$F
TARGET=~/$F
@@ -14,7 +14,7 @@ for F in .bashrc .vimrc .tmux.conf .xpdfrc .signature .Xdefaults .Xmodmap .xinit
done
# Home folder dotfolders
-for F in .config/uzbl .config/awesome .config/luakit .config/openbox .i3 .mutt .vim; do
+for F in .config/uzbl .config/awesome .config/luakit .config/openbox .i3 .mutt .vim .w3m; do
SOURCE=$PWD/$F
TARGET=~/$F
@@ -25,3 +25,16 @@ for F in .config/uzbl .config/awesome .config/luakit .config/openbox .i3 .mutt .
echo "Symlink: $SOURCE -> $TARGET"
ln -s $SOURCE $TARGET
done
+
+# Home folder bin directory
+for F in `ls bin/`; do
+ SOURCE=$PWD/bin/$F
+ TARGET=~/bin/$F
+
+ # Check if file exists, rename if so
+ [ -f $TARGET ] && mv $TARGET ${TARGET}_bck
+ rm -rf $TARGET
+
+ echo "Symlink: $SOURCE -> $TARGET"
+ ln -s $SOURCE $TARGET
+done